ObjScopeGuardImpl2< Obj, MemFun, P1, P2 > Class Template Reference

scope guard class More...

`#include <ScopeGuard.h>`

Inheritance diagram for ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >:
[legend]
Collaboration diagram for ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >:
[legend]

## Detailed Description

### template<class Obj, typename MemFun, typename P1, typename P2>
class ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >

scope guard class

The documentation for this class was generated from the following file:

- include/qore/ScopeGuard.h